Index: uspace/srv/fs/locfs/locfs_ops.c
===================================================================
--- uspace/srv/fs/locfs/locfs_ops.c	(revision 25a179efc4ecca45aa90793992b6c1c2743fd07f)
+++ uspace/srv/fs/locfs/locfs_ops.c	(revision b7fd2a02e4161f4edd38548e7f8456b8021549be)
@@ -101,5 +101,5 @@
 };
 
-static int locfs_node_get_internal(fs_node_t **rfn, loc_object_type_t type,
+static errno_t locfs_node_get_internal(fs_node_t **rfn, loc_object_type_t type,
     service_id_t service_id)
 {
@@ -125,13 +125,13 @@
 }
 
-static int locfs_root_get(fs_node_t **rfn, service_id_t service_id)
+static errno_t locfs_root_get(fs_node_t **rfn, service_id_t service_id)
 {
 	return locfs_node_get_internal(rfn, LOC_OBJECT_NONE, 0);
 }
 
-static int locfs_match(fs_node_t **rfn, fs_node_t *pfn, const char *component)
+static errno_t locfs_match(fs_node_t **rfn, fs_node_t *pfn, const char *component)
 {
 	locfs_node_t *node = (locfs_node_t *) pfn->data;
-	int ret;
+	errno_t ret;
 	
 	if (node->service_id == 0) {
@@ -208,10 +208,10 @@
 }
 
-static int locfs_node_get(fs_node_t **rfn, service_id_t service_id, fs_index_t index)
+static errno_t locfs_node_get(fs_node_t **rfn, service_id_t service_id, fs_index_t index)
 {
 	return locfs_node_get_internal(rfn, loc_id_probe(index), index);
 }
 
-static int locfs_node_open(fs_node_t *fn)
+static errno_t locfs_node_open(fs_node_t *fn)
 {
 	locfs_node_t *node = (locfs_node_t *) fn->data;
@@ -312,5 +312,5 @@
 }
 
-static int locfs_node_put(fs_node_t *fn)
+static errno_t locfs_node_put(fs_node_t *fn)
 {
 	free(fn->data);
@@ -319,5 +319,5 @@
 }
 
-static int locfs_create_node(fs_node_t **rfn, service_id_t service_id, int lflag)
+static errno_t locfs_create_node(fs_node_t **rfn, service_id_t service_id, int lflag)
 {
 	assert((lflag & L_FILE) ^ (lflag & L_DIRECTORY));
@@ -327,20 +327,20 @@
 }
 
-static int locfs_destroy_node(fs_node_t *fn)
+static errno_t locfs_destroy_node(fs_node_t *fn)
 {
 	return ENOTSUP;
 }
 
-static int locfs_link_node(fs_node_t *pfn, fs_node_t *cfn, const char *nm)
+static errno_t locfs_link_node(fs_node_t *pfn, fs_node_t *cfn, const char *nm)
 {
 	return ENOTSUP;
 }
 
-static int locfs_unlink_node(fs_node_t *pfn, fs_node_t *cfn, const char *nm)
+static errno_t locfs_unlink_node(fs_node_t *pfn, fs_node_t *cfn, const char *nm)
 {
 	return ENOTSUP;
 }
 
-static int locfs_has_children(bool *has_children, fs_node_t *fn)
+static errno_t locfs_has_children(bool *has_children, fs_node_t *fn)
 {
 	locfs_node_t *node = (locfs_node_t *) fn->data;
@@ -455,10 +455,10 @@
 }
 
-static int locfs_fsprobe(service_id_t service_id, vfs_fs_probe_info_t *info)
+static errno_t locfs_fsprobe(service_id_t service_id, vfs_fs_probe_info_t *info)
 {
 	return ENOTSUP;
 }
 
-static int locfs_mounted(service_id_t service_id, const char *opts,
+static errno_t locfs_mounted(service_id_t service_id, const char *opts,
     fs_index_t *index, aoff64_t *size)
 {
@@ -468,10 +468,10 @@
 }
 
-static int locfs_unmounted(service_id_t service_id)
+static errno_t locfs_unmounted(service_id_t service_id)
 {
 	return ENOTSUP;
 }
 
-static int
+static errno_t
 locfs_read(service_id_t service_id, fs_index_t index, aoff64_t pos,
     size_t *rbytes)
@@ -590,9 +590,9 @@
 		
 		/* Wait for reply from the driver. */
-		int rc;
+		errno_t rc;
 		async_wait_for(msg, &rc);
 
 		/* Do not propagate EHANGUP back to VFS. */
-		if ((int) rc == EHANGUP)
+		if ((errno_t) rc == EHANGUP)
 			rc = ENOTSUP;
 		
@@ -604,5 +604,5 @@
 }
 
-static int
+static errno_t
 locfs_write(service_id_t service_id, fs_index_t index, aoff64_t pos,
     size_t *wbytes, aoff64_t *nsize)
@@ -654,9 +654,9 @@
 		
 		/* Wait for reply from the driver. */
-		int rc;
+		errno_t rc;
 		async_wait_for(msg, &rc);
 
 		/* Do not propagate EHANGUP back to VFS. */
-		if ((int) rc == EHANGUP)
+		if ((errno_t) rc == EHANGUP)
 			rc = ENOTSUP;
 		
@@ -669,5 +669,5 @@
 }
 
-static int
+static errno_t
 locfs_truncate(service_id_t service_id, fs_index_t index, aoff64_t size)
 {
@@ -675,5 +675,5 @@
 }
 
-static int locfs_close(service_id_t service_id, fs_index_t index)
+static errno_t locfs_close(service_id_t service_id, fs_index_t index)
 {
 	if (index == 0)
@@ -715,5 +715,5 @@
 }
 
-static int locfs_sync(service_id_t service_id, fs_index_t index)
+static errno_t locfs_sync(service_id_t service_id, fs_index_t index)
 {
 	if (index == 0)
@@ -752,5 +752,5 @@
 		
 		/* Wait for reply from the driver */
-		int rc;
+		errno_t rc;
 		async_wait_for(msg, &rc);
 		
@@ -761,5 +761,5 @@
 }
 
-static int locfs_destroy(service_id_t service_id, fs_index_t index)
+static errno_t locfs_destroy(service_id_t service_id, fs_index_t index)
 {
 	return ENOTSUP;
